#!/bin/sh
# conkynetwork.sh
# by Crinos512
# Usage:
#  ${execp ~/.conky/conkyparts/conkynetwork.sh}
#
Month=`date +"%b '%y"`
#ExternalIP=`wget -q -O - checkip.dyndns.org | sed -e 's/.*Current IP Address: //' -e 's/<.*$//'`
ExternalIP='XXX.XXX.XXX.XXX'
Updates=`aptitude search "~U" | wc -l | tail`

echo "\${color1}\${stippled_hr 1}\${color}"
echo "\${voffset -6}  Network:\${alignr}( System Updates: \${color2}$Updates\${color},   Internal IP: \${color2}\${addrs eth0}\${color},   External IP: \${color2}$ExternalIP\${color} )"
echo "\${voffset -6}\${color1}\${stippled_hr 1}\${color}"
echo "\${voffset -3}\$alignc\${downspeedgraph eth0 80,400 210000 550000 -t} \${upspeedgraph eth0 80,400 002100 005500 -t}"
echo "\${voffset -88}\${goto 5}\`Down\${goto 355}\${color2}\${downspeedf eth0} k/s \${color}\${goto 420}\`Up:\${goto 750}\${color2}\${upspeedf eth0} k/s\${color}"
echo "\${goto 5}\`Total Down:\${goto 355}\${color2}\${totaldown eth0}\${color}\${goto 420}\`Total Up:\${goto 750}\${color2}\${totalup eth0}\${color}"
echo "\${goto 5}\`Weekly Down:\${goto 355}\${color2}\${exec vnstat -w -i eth0 | grep \"current week\" | awk '{print \$3 \$4}'}\${color}\${goto 420}\`Weekly Up:\${goto 750}\${color2}\${exec vnstat -w -i eth0 | grep \"current week\" | awk '{print \$6 \$7}'}\${color}"
echo "\${goto 5}\`Monthly Down:\${goto 355}\${color2}\${exec vnstat -m -i eth0 | grep \"$Month\" | awk '{print \$3 \$4}'}\${color}\${goto 420}\`Monthly Up:\${goto 750}\${color2}\${exec vnstat -m -i eth0 | grep  \"$Month\" | awk '{print \$6 \$7}'}\${color}"
echo ""

exit 0